"use client";
import { jsx as a, jsxs as s } from "react/jsx-runtime";
import { MoreHorizontalIcon as o, ChevronRightIcon as i } from "lucide-react";
import { cn as t } from "../../../lib/utils.js";
import { u as m } from "../../../useRender-BNXBkp2o.js";
import { m as c } from "../../../useRenderElement-DNB2vtF1.js";
function f({ className: r, ...e }) {
  return /* @__PURE__ */ a(
    "nav",
    {
      "aria-label": "breadcrumb",
      className: t(r),
      "data-slot": "breadcrumb",
      ...e
    }
  );
}
function g({ className: r, ...e }) {
  return /* @__PURE__ */ a(
    "ol",
    {
      className: t(
        "wrap-break-word flex flex-wrap items-center gap-1.5 text-muted-foreground text-sm",
        r
      ),
      "data-slot": "breadcrumb-list",
      ...e
    }
  );
}
function x({ className: r, ...e }) {
  return /* @__PURE__ */ a(
    "li",
    {
      className: t("inline-flex items-center gap-1", r),
      "data-slot": "breadcrumb-item",
      ...e
    }
  );
}
function N({
  className: r,
  render: e,
  ...n
}) {
  return m({
    defaultTagName: "a",
    props: c(
      {
        className: t("transition-colors hover:text-foreground", r)
      },
      n
    ),
    render: e,
    state: {
      slot: "breadcrumb-link"
    }
  });
}
function h({ className: r, ...e }) {
  return /* @__PURE__ */ a(
    "span",
    {
      "aria-current": "page",
      className: t("font-normal text-foreground", r),
      "data-slot": "breadcrumb-page",
      ...e
    }
  );
}
function B({
  children: r,
  className: e,
  ...n
}) {
  return /* @__PURE__ */ a(
    "li",
    {
      "aria-hidden": "true",
      className: t("[&>svg]:size-3.5", e),
      "data-slot": "breadcrumb-separator",
      role: "presentation",
      ...n,
      children: r ?? /* @__PURE__ */ a(i, {})
    }
  );
}
function v({
  className: r,
  ...e
}) {
  return /* @__PURE__ */ s(
    "span",
    {
      "aria-hidden": "true",
      className: t(
        "flex size-5 items-center justify-center [&>svg]:size-4",
        r
      ),
      "data-slot": "breadcrumb-ellipsis",
      role: "presentation",
      ...e,
      children: [
        /* @__PURE__ */ a(o, {}),
        /* @__PURE__ */ a("span", { className: "sr-only", children: "More" })
      ]
    }
  );
}
export {
  f as Breadcrumb,
  v as BreadcrumbEllipsis,
  x as BreadcrumbItem,
  N as BreadcrumbLink,
  g as BreadcrumbList,
  h as BreadcrumbPage,
  B as BreadcrumbSeparator
};
